package com.ym.mec.biz.dal.wrapper;

import com.baomidou.mybatisplus.annotation.TableField;
import com.ym.mec.biz.dal.enums.PeriodEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

public class CloudTeacherOrderWrapper {


    @Data
    @ApiModel("学员会员详情")
    public static class StudentMemberDetail {

        @ApiModelProperty("会员编号")
        private Integer memberRankId;

        @ApiModelProperty("结束时间")
        private Date endTime;

        @ApiModelProperty("剩余天数")
        private Integer remainingDays;

        @ApiModelProperty("会员名称")
        private String memberRankName;

        @ApiModelProperty("学员编号")
        private Integer studentId;
    }

    @Data
    @ApiModel("学员会员调整")
    public static class UpdateStudentMemberDto {

        @ApiModelProperty("会员编号")
        private Integer memberRankId;

        @ApiModelProperty(value = "时长类型 1-天 2-月 3-年")
        private PeriodEnum periodType;

        @ApiModelProperty("时长")
        private Integer number;

        @ApiModelProperty("学员编号")
        private Integer studentId;

        @ApiModelProperty("操作人")
        private Integer operatorId;

        @ApiModelProperty("备注")
        private String memo;

        @ApiModelProperty("2添加、3扣减")
        private Integer type;

        @ApiModelProperty("是否推送")
        private Boolean pushFlag;
    }


    @Data
    @ApiModel("学员会员订单回调详情")
    public static class StudentMemberOrderDetail {

        @ApiModelProperty("会员编号")
        private Integer memberRankId;

        @ApiModelProperty("会员名称")
        private String memberRankName;

        @ApiModelProperty("会员备注")
        private String intro;
    }
}
