package com.ym.mec.biz.dal.wrapper;

import com.baomidou.mybatisplus.annotation.TableField;
import com.microsvc.toolkit.common.response.paging.QueryInfo;
import com.ym.mec.biz.dal.enums.PeriodEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

public class StudentMemberUpdateLogWrapper {


    @Data
    public static class StudentMemberUpdateLogQuery  implements QueryInfo {


        @ApiModelProperty("当前页")
        private Integer page;

        @ApiModelProperty("分页行数")
        private Integer rows;

        @ApiModelProperty("学练宝ID")
        private Integer memberRankSettingId;

        @ApiModelProperty(value = "购买方式，1-自行购买 2-后台添加 3-后台扣减")
        private Integer buyType;

        @ApiModelProperty("用户ID")
        private Integer userId;

        @ApiModelProperty("操作人名称")
        private String operatorName;

        @ApiModelProperty("开始时间")
        private String startTime;

        @ApiModelProperty("结束时间")
        private String endTime;
    }

    @Data
    public static class StudentMemberUpdateLog{

        @ApiModelProperty(value = "购买方式，1-自行购买 2-后台添加 3-后台扣减")
        private Integer buyType;


        @ApiModelProperty("学练宝ID")
        private Integer level;

        @ApiModelProperty(value = "时长类型 1-天 2-月 3-年")
        private PeriodEnum type;


        @ApiModelProperty(value = "购买时长")
        private Integer time;

        @ApiModelProperty("学练宝名称")
        private String memberRankSettingName;

        @ApiModelProperty("操作人ID")
        private Integer operatorId;

        @ApiModelProperty("操作人名称")
        private String operatorName;

        @ApiModelProperty("创建时间")
        private Date createTime;

        @ApiModelProperty("添加原因")
        private String memo;


    }
}
