package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.dto.MemberPayParamDto;
import com.ym.mec.biz.dal.entity.MemberRankSetting;
import com.ym.mec.biz.dal.entity.StudentPaymentOrder;
import com.ym.mec.biz.dal.entity.SysMusicScoreCategories;
import com.ym.mec.biz.dal.wrapper.MemberRankSettingWrapper;
import com.ym.mec.common.entity.HttpResponseResult;
import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.page.QueryInfo;
import com.ym.mec.common.service.BaseService;

import java.util.List;
import java.util.Map;

public interface MemberRankSettingService extends BaseService<Integer, MemberRankSetting> {

    void add(MemberRankSettingWrapper.MemberRankSettingAdd memberRankSetting);

    MemberRankSettingWrapper.MemberRankSetting getDetail(Integer memberRankSettingId);

    void updateSetting(MemberRankSettingWrapper.MemberRankSettingAdd memberRankSetting);

    List<MemberRankSetting> queryListByIsDefault(Boolean isDefault);

    HttpResponseResult buy(MemberPayParamDto memberPayParamDto) throws Exception;

    HttpResponseResult buy1(MemberPayParamDto memberPayParamDto) throws Exception;

    HttpResponseResult buy2Qqhe(MemberPayParamDto memberPayParamDto) throws Exception;

    HttpResponseResult queryBuy2Qqhe();

    HttpResponseResult closeBuy2Qqhe(String orderNo) throws Exception;

    /**
     * 订单回调
     *
     * @param studentPaymentOrder
     * @return
     */
    boolean orderCallback(StudentPaymentOrder studentPaymentOrder);

    /**
     * 订单回调
     *
     * @param studentPaymentOrder
     * @return
     */
    boolean liveBuyOrderCallback(StudentPaymentOrder studentPaymentOrder);

    HttpResponseResult activeBuy(MemberPayParamDto memberPayParamDto) throws Exception;

    HttpResponseResult<Integer> checkActiveBuy(MemberPayParamDto memberPayParamDto);

    MemberRankSettingWrapper.Category getTree(Integer parentId);

    List<MemberRankSettingWrapper.MemberRankSetting> queryPage2(MemberRankSettingWrapper.MemberRankSettingQuery queryInfo);

    void del(Integer id);

    List<MemberRankSetting> listByIds(List<Integer> ids);

    List<MemberRankSettingWrapper.MemberRankSetting> queryTree(String musicGroupId, Integer organId, Integer studentId);


    //获取会员全名称
    Map<Integer,String> queryMemberName(List<Integer> memberRankIds);

    //获取单个会员名称
    String queryMemberName(Integer memberRankId);

    List<MemberRankSetting> findByOrganIds(List<Integer> organIds);

    Map<Integer,MemberRankSetting> getMapByIds(List<Integer> memberRankSettingIds);

    List<MemberRankSetting> getByIdsAndType(List<Integer> memberIds, String type, Integer typeId);
}